Subject: Re: "sudo make install" applies umask to new directories

From: Jason Eisner <[email-masked]>
Date: Fri, 3 Aug 2012 00:20:41 -0400

Followup -- see this thread from 2004:
    http://www.digipedia.pl/usenet/thread/16496/9413/

Looks like at one point, someone fixed this problem in the way I
suggested.  But then a user on that thread found directory permissions of
755 too restrictive, which may have gotten the fix removed.

One way to make everyone happy might be to ensure that a newly created
directory has permissions of *at least* 755.  (Although it's a bit peculiar
to handle directories this way when files are standardly 644 ...)

-jason